Delete template
Removes a template from a theme. Some core templates (e.g. index.html) cannot be deleted.
Requires admin scope.
DELETE
/themes/{theme_id}/templates/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:
adminPath parameters
theme_idstringrequiredidstringrequiredResponses
204Template deleted
404Resource not found
messagestringRequest
curl -X DELETE "https://api.onbolder.com/v1/themes/string/templates/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v1/themes/string/templates/string", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.delete(
"https://api.onbolder.com/v1/themes/string/templates/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
Template deleted
{
"message": "string"
}